<?php

declare(strict_types=1);

require \dirname(__DIR__, 2).'/src/warmup.php';

if ( ! $L->canRun() || !extension_loaded('sqlite3')) {
  return;
}

$sql = 'INSERT INTO `xplugin_cin_ajax_search_5_tmp`(`kArtikel`) VALUES(:kArtikel)
  ON DUPLICATE KEY UPDATE kArtikel=kArtikel;';
$stmt = $P->getPDO()->prepare($sql);
$stmt->execute([':kArtikel' => $args_arr['oArtikel']->kArtikel]);

// $languages = \Cin\AjaxSearch5\Index::readLanguages();
// foreach ($languages as $lang) {
//   if ( ! $P->getConfig('includechildren') && 0 !== (int) $args_arr['oArtikel']->kVaterArtikel) {
//     return;
//   }

//   $index = new \Cin\AjaxSearch5\Index($lang['cISO']);
//   $index->upsert((int) $args_arr['oArtikel']->kArtikel);
// }
